# Package com.oracle.truffle.api.frame

Interface Summary
Frame: Represents a frame containing values of local variables of the guest language.
FrameInstance
FrameInstanceVisitor<T>: Callback interface for `TruffleRuntime.iterateFrames(com.oracle.truffle.api.frame.FrameInstanceVisitor<T>)`.
MaterializedFrame: Represents a materialized frame containing values of local variables of the guest language.
VirtualFrame: Represents a frame containing values of local variables of the guest language.

Class Summary
FrameDescriptor: Descriptor of the slots of frame objects.
FrameSlot: A slot in a frame that can store a value of a given type.
FrameUtil

Enum Summary
FrameInstance.FrameAccess
FrameSlotKind

Exception Summary
FrameSlotTypeException: Exception thrown if the frame slot type does not match the access type.